---
linkTitle: "Admins"
title: Admin Documentation
weight: 1
prev: /
next: /admin/quickstart
cascade:
  type: docs
lang: en
---

This part of the documentation deals with the installation, configuration, and operation of the runner system for regular admins.
If you are interested in the operation for regular users, take a look at the [User Area](../../user).

## Services

A brief overview of the various services of the system and their interaction

* Backend: Contains the main logic and manages the data (via database connection)
* Mailer: Automatically sends mails based on HTML templates
* Document-Server: Creates PDFs (certificates, runner cards, sponsorship declarations) from HTML templates
* Frontend: Management interface for the admins and users of the runner system
* Selfservice: Portal where citizen and company runners can register and view their data
* Beamershow: Displays current statistics and top lists for the event
* Scanclient: Software for the scanner stations
* Kiosk: Software for the on-site registration of runners
* Docs: This documentation

```mermaid
flowchart LR
  subgraph Applications
    Frontend
    Beamershow
    Scanclient
    Selfservice
    Kiosk
  end

  subgraph Services
    Backend
    Mailer
    Document-Server
  end

  subgraph External
    Database
    Mail-Server
  end

  Frontend --> |Displays and edits data| Backend
  Beamershow -->|Requests current statistics| Backend
  Scanclient --> |Generates and validates scans| Backend
  Selfservice --> |Registers runners| Backend
  Kiosk --> |Registers runners| Backend

  Backend --> |Stores data| Database
  Backend --> |Sends mails| Mailer
  Mailer --> |Sends mails| Mail-Server

  Frontend --> |Generates PDFs| Document-Server
  Selfservice --> |Generates PDFs| Document-Server
```

## FAQ

A few of the most frequently asked questions in advance

### Why can't I see a page?

Users only see the pages in the system for which they have permissions.
If you can't see a page, you are probably not fully authorized as an admin.
