---
title: Quick Start for Admins
weight: 2
prev: /admin
next: /admin/users
lang: en
---

Do you want to set up and test the system quickly? Then you are in the right place!

## Prerequisites

All of the following instructions assume that you have already installed Docker and Docker-Compose.
You can find the installation instructions here:

* [Docker](https://docs.docker.com/get-docker/)
* [Docker-Compose](https://docs.docker.com/compose/install/)

## The whole system

> You want to quickly set up the entire system (backend, frontend, document-server).

{{% steps %}}

### Clone

Clone the lfk/deployment git repo from: <https://git.odit.services/lfk/deployment> (or download it).

### Start

Navigate to `docker-compose/full_stack`: `cd deployment/docker-compose/full_stack`.
Start the system with `docker-compose up`.

### Use

After everything has started, you can access the frontend at: <http://localhost:4010> (backend: <http://localhost:4010/api/>, document-server: <http://localhost:4010/documents/>).

If necessary, ports and other settings can be adjusted in the docker-compose.yml file.

{{% /steps %}}
