---
title: New Features and Improvements
date: 2025-04-25
authors:
  - name: ODIT.Services
    link: https://odit.services
    image: https://odit.services/img/profile-pic-no_bg.webp
tags:
  - Release
  - Kiosk
  - Frontend
  - Documents
excludeSearch: true
description: "Over the last few weeks we have been working on several new features and improvements to the platform. This post provides an overview of the most important changes."
lang: en
---

Over the last few weeks we have been working on several new features and improvements to the platform.
This post provides an overview of the most important changes.

## Kiosk

### LfK! 2023 - Kiosk 0.6

Two years ago, we introduced the Kiosk feature to allow runners to sign up in person on the day of the event.
It was a pretty basic form that allowed runners to enter their first name and last name.
After hitting enter the runner's ID was shown on the screen alongside a scannable barcode - but this was only used for the kisok attendees that assigned cards to the newly registered runners.
The kiosk fixed exactly one problem: Not needing to ask runners to spell their names out loud and having to type them in manually (and re-type them after the inevitable typo).

### The new kiosk (1.2)

The main pain point of the old kiosk was that it was still a hastle assign a card to a runner that registered via the kiosk.
You still needed a 1:1 assignment of kiosk pcs to helpers that assigned cards to the newly registered runners, limiting the throughput of the kiosk.

The new kiosk is designed to be completely self-service and allow for higher throughput.
To achieve these goals we have introduced the following features:

- **Signup with email**: Runners can optionally provide their email address when signing up via the kiosk. This allows them to use the runner self-service portal to view their registration details and lap times.
- **Self-service QR-Code generation**: Instead of some none-descript barcode the kiosk now generates a QR-Code after signup. This QR-Code can be scanned by the runner to open the self-service portal and view their registration details.
- **Confirmation printing**: If your kiosk hardware is connected to a receipt printer the kiosk automatically prints a confirmation slip with the runner's registration details and QR-Code. The QR-Code can be scanned by the runner to open the self-service portal and view their registration details and lap times. It can also be used by the helpers to assign a card to the runner (see below).

This video demonstrates the new kiosk features: TODO: Video

## Frontend

### Fast runner ↔️ card assignment

We implemented a new view in the admin panel that allows helpers and admins to quickly assign cards to runners that registered via the kiosk.
This view mainly consists of a web-based QR-Code/barcode scanner that can recognize the QR-Codes generated by the kiosk, confirmation slips and the self-service portal.
As soon as a valid code is scanned the scanner switches to card assignment mode and the helper just has to present a card's barcode to the scanner.

This short video demonstrates the new card assignment feature: TODO: Video

## Documents

### Performance improvements

The document server has been rewritten from scratch in go to improve performance and reliability.
This is just a technical aspect of the platform and does not change the user experience.

### QR-Codes on the certificates

The runner certificates now include two QR-Codes on the bottom of the second page:

- **Self-service portal**: The first QR-Code links to the self-service portal where runners can view their registration details and lap times.
- **Payment**: The second QR-Code is an EPC payment code that can be scanned via any banking app and automatically fills in the payment recipient, purpose and amount for the donations assoicated with the runner.

## General

- **Sign up tracking**: The backend now tracks the signup source of each runner. This was mainly implemented to allow us to track the usage of the kiosk and self-service portal.
