---
title: Runner Cards
weight: 9
lang: en
---

Runner cards are used to generate [Trackscans](../scans) for [Runners](../runners) through [Scanner Stations](../scanstations).
Runner cards can either be permanently assigned to a runner or used as blank cards that can be assigned to any runner.

## Creating

You can create runner cards either manually or have the system generate them automatically.
You can also generate as many blank cards as you need from the system.

### Create Manually

To create a new runner card, open the `Runner Cards` page in the runner system.
Click the `Create Card` button to create a new runner card.
Here you can select a runner (but you don't have to).
Once you have entered all the information, click the `Create` button to create the runner card.

### Generate Blank Cards

To create new blank cards, open the `Runner Cards` page in the runner system.
Click the `Create Blank Cards` button to create new blank cards.
Here you can select how many cards should be generated.
Once you have entered all the information, click the `Create` button to generate the blank cards.

### For Runners

In the runner overview, you can select any number of runners (or all runners using the `Select All` button).
Then the `Generate Runner Cards` button will appear above the runner list.
Once you click it, you can select the language for the runner card PDFs.
The runner cards will then be created, the PDFs generated, and downloaded.

### For Teams

#### For Teams in the Team Overview

In the team overview, you can select any number of teams (or all teams using the `Select All` button).
Then the `Generate Runner Cards` button will appear above the team list.
Once you click it, you can select the language for the runner card PDFs.
The runner cards for all runners in the teams will then be created, the PDFs generated, and downloaded.

#### For Individual Teams in the Team Detail View

To generate runner cards for all runners in a single team, click the `Details` button for the desired team in the team overview.
Then, in the detail view, simply click the `Generate Runner Cards` button and select the desired language - the runner cards will then be generated and downloaded.

### For Organizations

#### For Organizations in the Organization Overview

In the organization overview, you can select any number of organizations (or all organizations using the `Select All` button).
Then the `Generate Runner Cards` button will appear above the organization list.
Once you click it, you can select the language for the runner card PDFs.
The runner cards for all runners in the organization (including teams) will then be created, the PDFs generated, and downloaded.

#### For Individual Organizations in the Organization Detail View

To generate runner cards for all runners in a single organization (including its teams), click the `Details` button for the desired organization in the organization overview.
Then, in the detail view, simply click the `Generate Runner Cards` button and select the desired language - the runner cards will then be generated and downloaded.

## Editing

To edit a runner card, open the `Runner Cards` page in the runner system.
In the runner card overview, click the `Details` button for the desired runner card.
Now you can assign the card to a different runner or deactivate it.
Once you have made all the changes, click the `Save Changes` button to apply the changes.

## Deleting

To delete a runner card, open the `Runner Cards` page in the runner system.
In the runner card overview, click the `Delete` button for the desired runner card.
You will then be asked if you really want to delete the card or cancel.
